Atualizar evento
curl --request PATCH \
--url https://api.juridiq.com.br/event/{id} \
--header 'Content-Type: application/json' \
--header 'x-juridiq-api-key: <api-key>' \
--data '
{
"responsibleIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"title": "<string>",
"description": "<string>",
"lawSuitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initialHour": "<string>",
"finalHour": "<string>",
"date": "<string>",
"allDay": true,
"officeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrivate": true,
"completedAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.juridiq.com.br/event/{id}"
payload = {
"responsibleIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"title": "<string>",
"description": "<string>",
"lawSuitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initialHour": "<string>",
"finalHour": "<string>",
"date": "<string>",
"allDay": True,
"officeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrivate": True,
"completedAt": "2023-11-07T05:31:56Z"
}
headers = {
"x-juridiq-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-juridiq-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
responsibleIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
title: '<string>',
description: '<string>',
lawSuitId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
initialHour: '<string>',
finalHour: '<string>',
date: '<string>',
allDay: true,
officeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
isPrivate: true,
completedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.juridiq.com.br/event/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"initialHour": "<string>",
"finalHour": "<string>",
"date": "<string>",
"allDay": true,
"isPrivate": true,
"responsible": [
{
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
}
]
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Events
Atualizar evento
PATCH
/
event
/
{id}
Atualizar evento
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-juridiq-api-key.
Path Parameters
ID do evento
Body
application/json
IDs dos responsáveis
Título
Descrição
ID do processo
Hora inicial
Hora final
Data
Dia inteiro
ID do escritório
Evento privado
Data de conclusão
⌘I

